Skip to content
UFW.

OAuth 2.1

Exchange a code or refresh token

Returns an access token valid for 3,600 seconds. Public clients must use PKCE.

Authentication

Authorizationnot required

This endpoint is public and takes no access token.

Body parameters

application/x-www-form-urlencoded

grant_typeauthorization_code | refresh_tokenrequired

The OAuth grant being exchanged.

client_idstringrequired

The OAuth client identifier.

codestring

Authorization code. Required for the authorization_code grant.

redirect_uriURL

Must exactly match the URI used during authorization.

code_verifierstring

PKCE verifier corresponding to the authorization request.

refresh_tokenstring

Refresh token. Required for the refresh_token grant.

Responses

200Successful response
400The request is invalid
429Rate limit exceeded